APIs / GitHub / Repository Issues
GitHub: Repository Issues
Repository Issues from GitHub as JSON. 1 credit per successful call.
GET /v1/github/repository-issues
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
owner | string | Required | Up to 39 characters |
repo | string | Required | Up to 100 characters |
page | integer | Optional | Any |
per_page | integer | Optional | Any |
state | string | Optional | open, closed, all |
sort | string | Optional | created, updated, comments |
direction | string | Optional | asc, desc |
labels | string | Optional | Up to 200 characters |
since | string | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/github/repository-issues?owner=laravel&repo=framework&state=open" \
-H "X-API-Key: $API_KEY"